Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.TypeContext

- org.apache.groovy.parser.antlr4.GroovyParser.TypeContext

-     public static class GroovyParser.TypeContext
      extends GroovyParserRuleContext

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TypeContext(ParserRuleContext parent, int invokingState)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public TerminalNode` | `VOID()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public AnnotationsOptContext` | `annotationsOpt()`
    `` | `public List<? extends Dim0Context>` | `dim0()`
    `` | `public Dim0Context` | `dim0(int i)`
    `` | `public int` | `getRuleIndex()`
    `` | `public PrimitiveTypeContext` | `primitiveType()`
    `` | `public ReferenceTypeContext` | `referenceType()`

- - ### Constructor Detail

    - #### public TypeContext(ParserRuleContext parent, int invokingState)

  - ### Method Detail

    - #### public TerminalNode VOID()

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public AnnotationsOptContext annotationsOpt()

    - #### public List<? extends Dim0Context> dim0()

    - #### public Dim0Context dim0(int i)

    - #### @Override
      public int getRuleIndex()

    - #### public PrimitiveTypeContext primitiveType()

    - #### public ReferenceTypeContext referenceType()